POST api/badgemappingapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BadgeMappingViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| source_code | string |
String length: inclusive between 0 and 30 |
|
| target_code | string |
String length: inclusive between 0 and 30 |
|
| description | string |
String length: inclusive between 0 and 80 |
|
| application_date | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "50a0183f-0b41-4528-bc43-bdb98bb3c1e5",
"site_id": "7b0198ee-6bd9-4dcc-9de9-47518190ee71",
"source_code": "sample string 3",
"target_code": "sample string 4",
"description": "sample string 5",
"application_date": "2026-09-25T21:07:59.2742236+00:00"
}
application/xml, text/xml
Sample:
<badgemapping xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <application_date>2026-09-25T21:07:59.2742236+00:00</application_date> <description>sample string 5</description> <id>50a0183f-0b41-4528-bc43-bdb98bb3c1e5</id> <site_id>7b0198ee-6bd9-4dcc-9de9-47518190ee71</site_id> <source_code>sample string 3</source_code> <target_code>sample string 4</target_code> </badgemapping>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"c271c35d-9fad-40e5-a3ea-4483e4a39e33"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">c271c35d-9fad-40e5-a3ea-4483e4a39e33</guid>